Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex DataLens
  • DataLens neuroanalyst
  • Gallery in DataLens
    • How to use the Public API
    • Versioning
    • Release notes
      • Overview
        • Overview
        • Get entries
        • List directory
  • Audit Trails events

In this article:

  • Request
  • Headers
  • Body
  • Responses
  • 200 OK
  • Body
  • EntryScope
  1. DataLens Public API
  2. DataLens API
  3. Navigation
  4. Get entries
Written by
Yandex Cloud
View in Markdown
  • Request
    • Headers
    • Body
  • Responses
  • 200 OK
    • Body
    • EntryScope

Get entries

Returns a list of DataLens entries.

RequestRequest

POST

https://api.datalens.tech/rpc/getEntries

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

x-dl-audit-mode

Type: string

Const: true

Example: ``

BodyBody

application/json
{
  "ids": [
    "example"
  ],
  "scope": "dash",
  "type": "example",
  "createdBy": [
    "example"
  ],
  "orderBy": {
    "field": "createdAt",
    "direction": "desc"
  },
  "excludeLocked": true,
  "includeData": true,
  "includeLinks": true,
  "filters": {
    "name": "example"
  },
  "pageSize": 1,
  "includePermissionsInfo": true,
  "ignoreWorkbookEntries": true,
  "ignoreSharedEntries": true,
  "pageToken": "example"
}

Name

Description

createdBy

Type: string[]

IDs of entry creators to filter by.

Max items: 1000

Example
[
  "example"
]

excludeLocked

Type: boolean

Whether to exclude locked entries.

filters

Type: object

name

Type: string

Name used to filter entries.

Example: example

Entry filters.

Example
{
  "name": "example"
}

ids

Type: string[]

IDs of entries to return.

Max items: 1000

Example
[
  "example"
]

ignoreSharedEntries

Type: boolean

Whether to exclude shared entries.

ignoreWorkbookEntries

Type: boolean

Whether to exclude entries that belong to workbooks.

includeData

Type: boolean

Whether to include entry data.

includeLinks

Type: boolean

Whether to include entry links.

includePermissionsInfo

Type: boolean

Whether to include permission information.

orderBy

Type: object

direction

Type: string

Entry sort direction.

Enum: desc, asc

field

Type: string

Field used to sort entries: creation date or name.

Enum: createdAt, name

Entry sorting configuration.

Example
{
  "field": "createdAt",
  "direction": "desc"
}

pageSize

Type: integer

Maximum number of entries to return.

Min value: 1

Max value: 200

pageToken

Type: string

Token for the next page of entries.

Example: example

scope

Type: string

Scope used to filter entries.

Enum: dash, report, widget, dataset, folder, connection, compute, artifact

type

Type: string

Entry type to filter by.

Example: example

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "nextPageToken": "example",
  "entries": [
    {
      "isLocked": true,
      "entryId": "example",
      "scope": "dash",
      "type": "example",
      "name": "example"
    }
  ]
}

Name

Description

entries

Type: array
Any of 2 types
  • Type: object

    entryId

    Type: string

    Unique identifier of the locked entry.

    Example: example

    isLocked

    Type: boolean

    Indicates that the entry is locked.

    Const: true

    name

    Type: string

    Name of the entry.

    Example: example

    scope

    Type: EntryScope

    Type of the entry, e.g. dash — dashboard, widget — chart, etc.

    Enum: dash, report, widget, dataset, folder, connection, compute, artifact

    type

    Type: string

    Type of the locked entry.

    Example: example

    Example
    {
      "isLocked": true,
      "entryId": "example",
      "scope": "dash",
      "type": "example",
      "name": "example"
    }
    
  • Type: object

    collectionId

    Type: string | null

    ID of the collection containing the entry.

    Example: example

    createdAt

    Type: string

    Date and time when the entry was created.

    Example: example

    createdBy

    Type: string

    ID of the user who created the entry.

    Example: example

    entryId

    Type: string

    Unique identifier of the entry.

    Example: example

    hidden

    Type: boolean

    Whether the entry is hidden.

    isFavorite

    Type: boolean

    Whether the entry is marked as a favorite.

    key

    Type: string

    Key of the entry.

    Example: example

    links

    Type: object | null

    Links associated with the entry.

    Example
    {}
    

    meta

    Type: object | null

    Metadata associated with the entry.

    Example
    {}
    

    name

    Type: string

    Name of the entry.

    Example: example

    publishedId

    Type: string | null

    ID of the published entry revision.

    Example: example

    savedId

    Type: string

    ID of the saved entry revision.

    Example: example

    scope

    Type: EntryScope

    Type of the entry, e.g. dash — dashboard, widget — chart, etc.

    Enum: dash, report, widget, dataset, folder, connection, compute, artifact

    type

    Type: string

    Type of the entry.

    Example: example

    updatedAt

    Type: string

    Date and time when the entry was last updated.

    Example: example

    updatedBy

    Type: string

    ID of the user who last updated the entry.

    Example: example

    workbookId

    Type: string | null

    ID of the workbook containing the entry.

    Example: example

    collectionTitle

    Type: string | null

    Title of the collection containing the entry.

    Example: example

    data

    Type: object

    [additional]

    Type: unknown

    Example: null

    Data stored in the entry.

    Example
    {}
    

    isLocked

    Type: boolean

    Indicates that the entry is not locked.

    Const: false

    permissions

    Type: object

    admin

    Type: boolean

    Indicates if there are permissions for admin.

    edit

    Type: boolean

    Indicates if there are permissions to edit.

    execute

    Type: boolean

    Indicates if there are permissions to execute.

    read

    Type: boolean

    Indicates if there are permissions to read.

    Permissions for the entry.

    Example
    {
      "execute": true,
      "read": true,
      "edit": true,
      "admin": true
    }
    

    workbookTitle

    Type: string | null

    Title of the workbook containing the entry.

    Example: example

    Example
    {
      "entryId": "example",
      "key": "example",
      "scope": "dash",
      "type": "example",
      "meta": {},
      "createdAt": "example",
      "updatedAt": "example",
      "createdBy": "example",
      "updatedBy": "example",
      "savedId": "example",
      "publishedId": "example",
      "hidden": true,
      "workbookId": "example",
      "workbookTitle": "example",
      "collectionId": "example",
      "collectionTitle": "example",
      "isFavorite": true,
      "isLocked": false,
      "permissions": {
        "execute": true,
        "read": true,
        "edit": true,
        "admin": true
      },
      "links": {},
      "data": {},
      "name": "example"
    }
    

Entries matching the request.

Example
[
  {
    "isLocked": true,
    "entryId": "example",
    "scope": "dash",
    "type": "example",
    "name": "example"
  }
]

nextPageToken

Type: string

Token for the next page of entries.

Example: example

EntryScopeEntryScope

Type of the entry, e.g. dash — dashboard, widget — chart, etc.

Type: string

Enum: dash, report, widget, dataset, folder, connection, compute, artifact

Was the article helpful?

Previous
Overview
Next
List directory
© 2026 Direct Cursus Technology L.L.C.